List message events
Returns the delivery events recorded for a message, oldest first. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.
Returns the delivery events recorded for a message, oldest first. Pass nextCursor back as cursor for the next page; it is null on the last page.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^msg_[0-9a-hjkmnp-tv-z]{16,24}$Query Parameters
limit?string|null
cursor?CursorEncoded|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/messages/string/events"{ "items": [ { "id": "string", "messageId": "string", "eventType": "string", "status": "string", "timestamp": "string", "metadata": {} } ], "nextCursor": "string"}Related documentation
Get email message details
Returns email delivery details for a message, optionally including signed URLs for its raw MIME, HTML, and text content.
Get message delivery status
Returns the current delivery status of a message by its ID. Use this endpoint to get message delivery status through the Samva email API.